Subject: bug#807: Incompatibility in emacs & aspell-0.60.4

From: Glenn Morris <[email-masked]>
Date: Wed, 27 Aug 2008 16:38:09 -0400

Package: emacs,w32
Tags: unreproducible

(Filing a report for an old item from FOR-RELEASE.)

http://lists.gnu.org/archive/html/emacs-devel/2006-08/msg00310.html

Initial report:
  
  I am trying to establish where an incompatibility resides.
  
  Suspicious points are in emacs's changes to ispell.el, the
  ispell-init-process, or most likely in the new (Oct. 2005) aspell
  code. Or it might be my particular configuration with cygwin. But,
  again I didn't have a problem with the old version of aspell and the
  new one works from the command line.
  
  Description of the problem:
  
  The error message is displayed after the 2nd successfull
  (ispell-get-coding-system) upon trying to do another step.  See below:

  File; ispell.el
  Line: # 2535
  
          (set-process-coding-system ispell-process
          (ispell-get-coding-system)
                                     (ispell-get-coding-system) ))
                                                               ^
  ---------
  Result: iso-8859-1 [2 times]
  error: "Input file descriptor of ispell closed"
  ---------
  
  If instrumented and issued a 'G'o cmd. the debuger stops at
  line # 2560
           (error "%s" (mapconcat 'identity ispell-filter "\n"))))  

  The is the same error message when ran without the debugger.
  
  "ispell-init-process: Error: nroff: dlopen returned "No such file or
  directory".

  I have sent out a similar not to the aspell group, but I want to ask
  if anyone on this group has tried to use
  
     cvs emacs with aspell-0.60.4 
  
  and if so did you have the probelm I ran into?